import { createSelector } from "reselect";

const profileSelector = (state) => state.profile

export const selectProfileName = createSelector(
    profileSelector,
    (state) => state?.mineProfile?.company?.name
)
export const selectProfile = createSelector(
    profileSelector,
    (state) => state.profile
)
export const selectMineProfile = createSelector(
    profileSelector,
    (state) => state?.mineProfile
)
export const selectMineProfilePicture = createSelector(
    profileSelector,
    (state) => state?.mineProfile?.image
)